package transactionFeature;

import com.sleepycat.je.OperationContext;

import com.sleepycat.je.TransactionConfig;

public aspect OperationContextExtension {
	public OperationContext.new(Transaction txn) {
		super();
		this.txn=txn;
	}
	
	public void OperationContext.setTxn(Transaction txn) {
		this.txn = txn;
	}
	public Transaction OperationContext.getTxn() {
		return txn;
	}
	private Transaction OperationContext.txn=null;
	
	public boolean OperationContext.dbIsTransactional;
	public TransactionConfig OperationContext.autoCommitConfig=null;
}
